curl --request POST \
--url https://prod-api.raisedonors.com/api/Donor/{id}/activities \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": "<string>",
"skip": 123,
"take": 123,
"sortBy": "createdate",
"descending": true,
"includeDetails": true,
"selectedActivityOrigins": []
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: '<string>',
skip: 123,
take: 123,
sortBy: 'createdate',
descending: true,
includeDetails: true,
selectedActivityOrigins: []
})
};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/activities"
payload = {
"filter": "<string>",
"skip": 123,
"take": 123,
"sortBy": "createdate",
"descending": True,
"includeDetails": True,
"selectedActivityOrigins": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/activities");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"filter\": \"<string>\",\n \"skip\": 123,\n \"take\": 123,\n \"sortBy\": \"createdate\",\n \"descending\": true,\n \"includeDetails\": true,\n \"selectedActivityOrigins\": []\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Donor/{id}/activities';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: '<string>',
skip: 123,
take: 123,
sortBy: 'createdate',
descending: true,
includeDetails: true,
selectedActivityOrigins: []
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"id": 880431,
"display": "Gift of $50.00 received.",
"createdDate": "2025-11-15",
"createdTime": "3:00 AM",
"donorId": 200456,
"giftId": 602401
},
{
"id": 880402,
"display": "Receipt emailed to priya.sharma@example.org.",
"createdDate": "2025-11-15",
"createdTime": "3:00 AM",
"donorId": 200456,
"giftId": 602401,
"emailSubject": "Your monthly gift to Riverside Hope",
"emailFromName": "Riverside Hope Foundation",
"emailFromEmail": "info@riversidehope.example.org"
},
{
"id": 879118,
"display": "Mobile phone (555) 012-3450 added.",
"createdDate": "2025-10-28",
"createdTime": "2:14 PM",
"donorId": 200456,
"donorContactMethodId": 300157
}
],
"total": 118
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"email": [
"A valid email address is required."
],
"lastName": [
"The lastName field is required."
]
},
"instance": "/api/Donor/200234/activities"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/activities"
}List Activities for a Donor
Returns a paginated list of the donor’s activities.
selectedActivityOrigins to limit which kinds of activity come back and an optional filter applied to the activity display text.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the donor.
Body
The donor activity pagination request.
Request model used to page through donor activities.
A free-text search term applied to the activity display text.
The number of records to skip before the first record returned. Use it with take to page through the results.
The maximum number of records to return in this page of results.
Field to sort by (case-insensitive). Valid options: createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone
createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone "createdate"
The direction to sort the results. Set to true to sort in descending order.
When true, includes the related records for each item in the response. Not every list has extra records to return, and it can slow down large result sets.
The activity origins to include in the results.
0, 1, 2, 3, 4, 5 Was this page helpful?